#!/bin/bash

# Define the URL for downloading the simple-jaeger.php file
PLUGIN_URL="https://git.nixc.us/colin/SimpleJaeger/raw/branch/main/simple-jaeger.php"

# Define the target directory
TARGET_DIR="wp-content/plugins/simple-jaeger"

# Prompt user for Jaeger configuration
read -p "Enter Jaeger endpoint (default: http://localhost:14268/api/traces): " JAEGER_ENDPOINT
JAEGER_ENDPOINT=${JAEGER_ENDPOINT:-http://localhost:14268/api/traces}

read -p "Enter Jaeger service name (default: SimpleJaeger): " JAEGER_SERVICE_NAME
JAEGER_SERVICE_NAME=${JAEGER_SERVICE_NAME:-SimpleJaeger}

# Create the target directory if it doesn't exist
mkdir -p $TARGET_DIR

# Download the simple-jaeger.php file into the target directory
curl -o $TARGET_DIR/simple-jaeger.php $PLUGIN_URL

# Create the simple-jaeger-config.php file with the provided settings
cat <<EOL > $TARGET_DIR/simple-jaeger-config.php
<?php
return [
    'JAEGER_ENDPOINT' => '$JAEGER_ENDPOINT',
    'JAEGER_SERVICE_NAME' => '$JAEGER_SERVICE_NAME'
];
EOL

# Set the correct permissions for the files
chmod 644 $TARGET_DIR/simple-jaeger.php
chmod 644 $TARGET_DIR/simple-jaeger-config.php

echo "SimpleJaeger plugin has been installed or updated successfully."
